找回密码 注册 QQ登录

iCAx开思网

开思网高精度工业级3D打印服务
CAD/CAM/CAE/设计/模具 高清视频【积分说明】如何快速获得积分?开思人才网免费为你找工作!网络报价工业级高精度在线3D打印服务
查看: 206|回复: 5

[讨论] 求大神做个solidworks快捷键的宏

[复制链接]
发表于 2018-1-11 00:38:04 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?注册

x
具体要求是点击宏后执行一个命令(做出来了就是设置快捷键了),打开
20.png 10.png
这样一个界面(1、这个界面要么在编程界面设置好2、要么多个设置调取快捷键3、或者直接可以实现把SOLIDWORKS功能键拖动上去)
图标全部按圆环排列,内外多个环(最好能改变还的大小和分布数目,如一圈8/12个快捷键),用久了,找功能就不用满屏点,作图速度稳稳提高。

然后选中就执行命令,托盘消失。不选择按esc退出命令。
为什么有上面的想法,,虽然看了悶大的多字母快捷鍵宏,但感觉还是不夠好使,而且感觉用宏会卡顿一下。然後感觉solidworks设置快捷键还不够好使,鼠标8/12键(用过都知道,效率很高)不够用。
草图,零件,工程图,装配体,各个环境不一样,命令不一样。
设置键盘快捷键真是记不过来。
尤其是要带ctrl或shift
s键按出来的排版又不好
30.png
分布成一个圆就习惯的往那个方向选,用过鼠标手势的都有实际体会,可以说是盲操作,不用找。
有人让我点选工具栏的命令,但那样需要满屏找,效率降低,不能专心作画。

 楼主| 发表于 2018-1-11 09:20:05 | 显示全部楼层
如果能做到像按s键这样出来的界面,这功能就好用了
 楼主| 发表于 2018-1-11 15:01:50 | 显示全部楼层
这是solidworks自带的 QQ图片20180111150118.jpg   默认快捷键s,调出来后还可以添加或删除快捷键上去。  现在想做一个宏,执行后实现同样功能。请问能实现吗

 楼主| 发表于 2018-1-11 15:39:26 | 显示全部楼层
请教了一些人,好像不容易实现,现在我退一步。请问下用宏怎么执行拉伸这个命令。录制宏后不会修改

点评

Dim retval As Long retval = swApp.RunCommand(swCommands_ExtrudedBossBase, Empty) '拉伸  详情 回复 发表于 2018-1-12 08:12
发表于 2018-1-12 08:12:53 | 显示全部楼层
chaomogu 发表于 2018-1-11 15:39
请教了一些人,好像不容易实现,现在我退一步。请问下用宏怎么执行拉伸这个命令。录制宏后不会修改

Dim retval As Long

retval = swApp.RunCommand(swCommands_ExtrudedBossBase, Empty) '拉伸

点评

谢了,昨天有人告诉了我另一种 Sub main(): Application.SldWorks.RunCommand swCommands_ExtrudedBossBase, "": End Sub 请问下把这句链接到按钮,应该加什么  详情 回复 发表于 2018-1-12 10:49
 楼主| 发表于 2018-1-12 10:49:12 | 显示全部楼层
qiminger 发表于 2018-1-12 08:12
Dim retval As Long

retval = swApp.RunCommand(swCommands_ExtrudedBossBase, Empty) '拉伸

谢了,昨天有人告诉了我另一种

Sub main(): Application.SldWorks.RunCommand swCommands_ExtrudedBossBase, "": End Sub

请问下把这句链接到按钮,应该加什么
您需要登录后才可以回帖 登录 | 注册

本版积分规则

开思网成立16周年,发大米,送福利!

QQ|开思网QQ群|手机版|联系我们|iCAx开思网 ( 粤ICP备09030954号

GMT+8, 2018-1-22 04:30 , Processed in 0.239822 second(s), 33 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表